TM: js1_5/extensions/toLocaleFormat-02.js FAIL

RESOLVED INVALID

Status

()

RESOLVED INVALID
11 years ago
11 years ago

People

(Reporter: bc, Unassigned)

Tracking

Trunk
PowerPC
Windows XP
Points:
---
Bug Flags:
in-testsuite +
in-litmus -

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

11 years ago
js1_5/extensions/toLocaleFormat-02.js FAIL

Tracemonkey only (not mozilla-central), Windows only, jit on or off. Note in the jit test it said "Global shape mismatch (6391 vs. 6349) in RecordTree, flushing cache".

STATUS: Date.prototype.toLocaleFormat extension 

 FAILED! [reported from test()] Date.toLocaleFormat("%C") : Expected value '20', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

Global shape mismatch (6391 vs. 6349) in RecordTree, flushing cache.

 FAILED! [reported from test()] Date.toLocaleFormat("%C%y") == Date.toLocaleFormat("%Y") : Expected value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)', Actual value '2005'  

 FAILED! [reported from test()] Date.toLocaleFormat("%m/%d/%y") == Date.toLocaleFormat("%D") : Expected value '06/04/05', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%e") : Expected value ' 4', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%Y-%m-%d") == Date.toLocaleFormat("%F") : Expected value '2005-06-04', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%g") : Expected value '05', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%G") : Expected value '2005', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%b") == Date.toLocaleFormat("%h") : Expected value 'Jun', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%n") == "\n" : Expected value 'NL', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%I:%M:%S %p") == Date.toLocaleFormat("%r") : Expected value '05:00:00 PM', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%H:%M") == Date.toLocaleFormat("%R") : Expected value '17:00', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%t") == "\t" : Expected value '\x09', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%H:%M:%S") == Date.toLocaleFormat("%T") : Expected value '17:00:00', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%u") : Expected value '6', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'  

 FAILED! [reported from test()] Date.toLocaleFormat("%V") : Expected value '22', Actual value 'Sat Jun 04 2005 17:00:00 GMT-0700 (Pacific Daylight Time)'
Flags: in-testsuite+
Flags: in-litmus-

Comment 1

11 years ago
This is in the JIT path: "Global shape mismatch (6391 vs. 6349) in RecordTree,
flushing cache".

I am pretty confident this can't be triggered with JIT pref-ed off. Could we retest this?
(Reporter)

Comment 2

11 years ago
(In reply to comment #1)
> This is in the JIT path: "Global shape mismatch (6391 vs. 6349) in RecordTree,
> flushing cache".
> 
> I am pretty confident this can't be triggered with JIT pref-ed off. Could we
> retest this?
> 

I tested both with jit and without jit. The above message was from the jit enabled run but the errors were in both runs. I repulled and rebuilt and reproduced the errors for tracemonkey with _and_ without jit but not on mozilla-central with or without jit enabled.
(Reporter)

Comment 3

11 years ago
One mistake on my part: These errors occur on mozilla-central as well. 

I had already recorded the failures for mozilla-central and they didn't show up in my regression lists. Sorry.
(Reporter)

Comment 4

11 years ago
arrgh. Known failures for windows. I'm an idiot.
Status: NEW → RESOLVED
Last Resolved: 11 years ago
Resolution: --- → INVALID

Comment 5

11 years ago
You had me _REALLY_ scratch my head for a moment there :)
(Reporter)

Comment 6

11 years ago
sorry for wasting your time. i am _so_ embarrassed i am blushing. :-)
You need to log in before you can comment on or make changes to this bug.